/* A polyfill for browsers that don't support ligatures. */
/* The script tag referring to this file must be placed before the ending body tag. */

/* To provide support for elements dynamically added, this script adds
   method 'icomoonLiga' to the window object. You can pass element references to this method.
*/
(function () {
    'use strict';
    function supportsProperty(p) {
        var prefixes = ['Webkit', 'Moz', 'O', 'ms'],
            i,
            div = document.createElement('div'),
            ret = p in div.style;
        if (!ret) {
            p = p.charAt(0).toUpperCase() + p.substr(1);
            for (i = 0; i < prefixes.length; i += 1) {
                ret = prefixes[i] + p in div.style;
                if (ret) {
                    break;
                }
            }
        }
        return ret;
    }
    var icons;
    if (!supportsProperty('fontFeatureSettings')) {
        icons = {
            'iva_logo': '&#xe915;',
            'iva_money_circle_outline': '&#xe90f;',
            'iva_ones_circle_outline': '&#xe914;',
            'iva_docsvision_circle_outline': '&#xe913;',
            'iva_mssql_circle_outline': '&#xe911;',
            'iva_windows_circle_outline': '&#xe912;',
            'iva_ad_circle_outline': '&#xe910;',
            'iva_agents_circle_outline': '&#xe90e;',
            'iva_notify_circle_outline': '&#xe90d;',
            'iva_skype': '&#xe917;',
            'iva_stamp': '&#xe916;',
            'iva_action': '&#xe900;',
            'iva_action_add': '&#xe90a;',
            'iva_action_delete': '&#xe90b;',
            'iva_action_edit': '&#xe90c;',
            'iva_collapse': '&#xe909;',
            'iva_incident': '&#xe908;',
            'iva_inheritance_ci': '&#xe902;',
            'iva_inheritance_ciio': '&#xe905;',
            'iva_inheritance_oi': '&#xe901;',
            'iva_inheritance_oici': '&#xe903;',
            'iva_inheritance_oiciio': '&#xe906;',
            'iva_inheritance_oiio': '&#xe904;',
            'iva_permission_grant_with': '&#xe907;',
          '0': 0
        };
        delete icons['0'];
        window.icomoonLiga = function (els) {
            var classes,
                el,
                i,
                innerHTML,
                key;
            els = els || document.getElementsByTagName('*');
            if (!els.length) {
                els = [els];
            }
            for (i = 0; ; i += 1) {
                el = els[i];
                if (!el) {
                    break;
                }
                classes = el.className;
                if (/ivasafe-material-icons/.test(classes)) {
                    innerHTML = el.innerHTML;
                    if (innerHTML && innerHTML.length > 1) {
                        for (key in icons) {
                            if (icons.hasOwnProperty(key)) {
                                innerHTML = innerHTML.replace(new RegExp(key, 'g'), icons[key]);
                            }
                        }
                        el.innerHTML = innerHTML;
                    }
                }
            }
        };
        window.icomoonLiga();
    }
}());
